Bug 852115 - Designer does not show correct icons self designed service tasks
Designer does not show correct icons self designed service tasks
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:14 EDT by Tihomir Surdilovic
Modified: 2012-10-24 12:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF for process (21.29 KB, application/pdf)
2012-10-01 10:18 EDT, Sona Mala
no flags Details
PNG for process (24.17 KB, image/png)
2012-10-01 10:18 EDT, Sona Mala
no flags Details
Repository (210.42 KB, text/xml)
2012-10-01 10:18 EDT, Sona Mala
no flags Details
test repo with two icons (25.40 KB, application/zip)
2012-10-02 16:23 EDT, Tihomir Surdilovic
no flags Details
Error during PDF image creation when using png icons (4.81 KB, text/html)
2012-10-03 09:18 EDT, Sona Mala
no flags Details
Server.log for creation PDF with service nodes using png icons (166.58 KB, text/x-log)
2012-10-03 09:32 EDT, Sona Mala
no flags Details
Server.log for creation PNG with service nodes using gif icons (158.21 KB, text/x-log)
2012-10-03 10:40 EDT, Sona Mala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3649 Major Resolved Designer does not show correct icons self designed service tasks 2014-07-02 03:33:09 EDT

  None (edit)
Description Tihomir Surdilovic 2012-08-27 12:14:26 EDT
In Designer, a diagram will show the correct icons on Service Tasks that were designed by the user. When producing a PDF or PNG, only one icon appears for all the different services.
e.g. If a mail task was used in the diagram, along with another service task. It will display the icon for the mail task only, regardless of what the icons would be for the other tasks.
Comment 1 Sona Mala 2012-09-18 09:31:10 EDT
I am not able to create user service task.

https://bugzilla.redhat.com/show_bug.cgi?id=858267
Comment 2 Sona Mala 2012-10-01 10:17:20 EDT
Verified for PDF on BRMS 5.3.1 ER1 and designer 2.3.1-DEV.

PNG is not correct. View attachments. Repository is attached.
Comment 3 Sona Mala 2012-10-01 10:18:00 EDT
Created attachment 619816 [details]
PDF for process
Comment 4 Sona Mala 2012-10-01 10:18:32 EDT
Created attachment 619817 [details]
PNG for process
Comment 5 Sona Mala 2012-10-01 10:18:57 EDT
Created attachment 619818 [details]
Repository
Comment 6 Tihomir Surdilovic 2012-10-02 16:22:57 EDT
Can you please try to reproduce with the repository I attached? I am not able to reproduce this issue. Please try with .png images as icons as I don't think we support gif images.

Thanks.
Comment 7 Tihomir Surdilovic 2012-10-02 16:23:42 EDT
Created attachment 620497 [details]
test repo with two icons
Comment 9 Sona Mala 2012-10-03 03:02:47 EDT
I try your repository. But I must rewrite path to icon in demowid (from .../drools-guvnor/... to .../jboss-brms/...).

You are right. PNG image of process is generated correctly. But I try also PDF and it show me Error page (HTTP Status 500 - Exception report)


So if I use GIF icons I can generate PDF and I am not able to generate PNG.
If I use PNG icons I can generate PNG and I am not able to generate PDF.
Comment 10 Tihomir Surdilovic 2012-10-03 07:53:57 EDT
What error(s) are you getting in the server logs when generating the PDF? The first time you generate the PDF after a server restart it takes some time to load all fonts, but I cannot reproduce locally (both png and pdf generate fine).
Comment 11 Sona Mala 2012-10-03 09:18:56 EDT
Created attachment 620875 [details]
Error during PDF image creation when using png icons

I try generate PDF before I change default tasks to service tasks and generation was correct.
Comment 12 Sona Mala 2012-10-03 09:32:54 EDT
Created attachment 620886 [details]
Server.log for creation PDF with service nodes using png icons
Comment 13 Sona Mala 2012-10-03 10:40:26 EDT
Created attachment 620955 [details]
Server.log for creation PNG with service nodes using gif icons

Note You need to log in before you can comment on or make changes to this bug.